
# DICTOL - A Discriminative dictionary Learning Toolbox for Classification (Python 2.7 version).
_This Toolbox is a part of our [LRSDL project](http://signal.ee.psu.edu/lrsdl.html)._

**Related publications:**

1. Tiep H. Vu, Vishal Monga. "Learning a low-rank shared dictionary for object classification." *International Conference on Image Processing (ICIP)* 2016. [[paper]](http://arxiv.org/abs/1602.00310).

2. Tiep H. Vu, Vishal Monga. "Fast Low-rank Shared Dictionary Learning for Image Classification." *IEEE Transactions on Image Processing* 26.11(2017):5160-5175 [[paper]](https://arxiv.org/pdf/1610.08606.pdf). 

**Author: [Tiep Vu](http://www.personal.psu.edu/thv102/)**

_This repository contains the following methods: SRC, ODL, DLSI, FDDL, COPAR, LRSDL_

If you experience any bugs, please let me know via the [**Issues**](https://github.com/tiepvupsu/DICTOL_python/issues) tab. I'd really appreciate and fix the error ASAP. Thank you.

For more information, please see its corresponding [**MATLAB version**](https://github.com/tiepvupsu/DICTOL).

# Packages required

1. numpy 
2. scipy 


# Demo 

Run:
```
python demo.py
```

from your command line. 

# Contact information
```
Tiep Vu: 
    + thv102@psu.edu
    + http://www.personal.psu.edu/thv102/
```

